function Gamble(machineint) { 

    local money = activator.GetCurrency()

    if(money>=50)
    {
    PrecacheScriptSound("Gamble.Win10");
    PrecacheScriptSound("Gamble.Win200");
    PrecacheScriptSound("Gamble.Win500");

    EntFire("gamble_model"+ machineint + "", "SetAnimation", "pull", 0, activator)
    EntFire("gamble_model"+ machineint + "", "Skin", 4, 0, activator)
    
    activator.RemoveCurrency(50)
    PrintBankMessage(activator, "-$50", "Poor Life Choices");

    local gambleint = RandomInt(1,100)

    if(gambleint < 85) { 
        EmitAmbientSoundOn("Gamble.Win10", 10.0, 50, 100, Entities.FindByName(null, "gamble_model"+ machineint + "")) 
    EntFire("gamble_model"+ machineint + "", "Skin", 1, 2.5, activator)
    EntFire("gamble_model"+ machineint + "", "Skin", "0", 5.5, activator)

    EntFireByHandle(activator, "RunScriptCode", "activator.AddCurrency(10)", 2.5, activator, activator)
    EntFireByHandle(activator, "RunScriptCode", "PrintBankMessage(activator, `+$10`, `Gambling`);", 2.5, activator, activator)

    }
    else if(gambleint >= 85 && gambleint < 95) { 
        EmitAmbientSoundOn("Gamble.Win200", 10.0, 50, 100, Entities.FindByName(null, "gamble_model"+ machineint + ""))
    EntFire("gamble_model"+ machineint + "", "Skin", 2, 2.5, activator)
    EntFire("gamble_model"+ machineint + "", "Skin", "0", 5.5, activator)

    EntFireByHandle(activator, "RunScriptCode", "activator.AddCurrency(200)", 2.5, activator, activator)
    EntFireByHandle(activator, "RunScriptCode", "PrintBankMessage(activator, `+$200`, `Gambling`);", 2.5, activator, activator)
    }
    else if(gambleint >= 95) { 
        EmitAmbientSoundOn("Gamble.Win500", 10.0, 50, 100, Entities.FindByName(null, "gamble_model"+ machineint + ""))
    EntFire("gamble_model"+ machineint + "", "Skin", 3, 2.5, activator)
    EntFire("gamble_model"+ machineint + "", "Skin", "0", 5.5, activator)

    EntFireByHandle(activator, "RunScriptCode", "activator.AddCurrency(500)", 2.5, activator, activator)
    EntFireByHandle(activator, "RunScriptCode", "PrintBankMessage(activator, `+$500`, `Gambling`);", 2.5, activator, activator)
    }
    }
    else
    {
    EntFire("gunstore_text_fail", "Display", null, 0, activator)
    }

}

function RollDrug() { 

        PrecacheScriptSound("Drug.Cough");
        PrecacheScriptSound("DisciplineDevice.PowerUp");
        PrecacheScriptSound("DisciplineDevice.PowerDown");
        PrecacheScriptSound("Powerup.PickUpRegeneration");
        PrecacheScriptSound("Powerup.PickUpStrength");
        PrecacheScriptSound("Kidnap.Sound");

        local drugint = RandomInt(1,100)
        
        if(drugint < 60) { 
            local commonint = RandomInt(1,2); 

            if(commonint == 1) { 
                activator.SetHealth(activator.GetHealth() + 35); 
                EmitSoundOnClient("HealthKit.Touch", activator);
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x074B69FFPainkillers\x01 | Healed 35 HP");
            }
            else { 
                activator.TakeDamage(35, 16384, null)
                activator.ViewPunch(QAngle(-10,0,0))
                EmitSoundOnClient("Player.FallDamage", activator);
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x074B69FFExpired Drugs\x01 | Damaged 35 HP");
            } 

        }
        else if(drugint >= 60 && drugint < 90) { 
            local uncommonint = RandomInt(1, 2);

            if(uncommonint == 1) { 
                activator.GetScriptScope().DrugSpeed += 0.1;
                activator.AddCustomAttribute("move speed penalty", 1 + activator.GetScriptScope().DrugSpeed - activator.GetScriptScope().DrugSpeedDown, -1)
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x07D32CE6Adrenaline\x01 | Move Speed Increased by 10%");	
                EmitSoundOnClient("DisciplineDevice.PowerUp", activator);
            }
            else if(uncommonint == 2) { 
                activator.GetScriptScope().DrugSpeedDown += 0.1;
                activator.AddCustomAttribute("move speed penalty", 1 + activator.GetScriptScope().DrugSpeed - activator.GetScriptScope().DrugSpeedDown, -1)
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x07D32CE6Chill Pills\x01 | Move Speed Decreased by 10%");	
                EmitSoundOnClient("DisciplineDevice.PowerDown", activator);
            }
        }
        else if(drugint >= 90) { 

            local rareint = RandomInt(1,4);

            if(rareint == 1) { 

                EmitSoundOnClient("TFPlayer.CritHitMini", activator);
                EmitSoundOnClient("Drug.Cough", activator);
                activator.ViewPunch(QAngle(-25,0,0))
                activator.TakeDamage(15, 16384, null)
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x07EB4B4BPOISON!\x01 | INSTANT DEATH");

                EntFireByHandle(activator, "RunScriptCode", "activator.TakeDamage(9999, 16384, null);", 1.5, activator, activator)
            }
            else if(rareint == 2 ) { 
                ScreenFade(activator, 0, 0, 0, 255, 1, 3, 2)
                EmitSoundOnClient("Drug.Cough", activator);
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x07EB4B4BSLEEPING PILLS!\x01 | You are being kidnapped...");
                EmitSoundOnClient("Kidnap.Sound", activator);

                local kidnapint = RandomInt(1,3); 
                
                if(kidnapint == 1) { 
                    EntFireByHandle(activator, "Addoutput", "origin 2569 -721 -158", 2, activator, activator)
                }
                else if(kidnapint == 2) { 
                    EntFireByHandle(activator, "Addoutput", "origin -3928 3272 42", 2, activator, activator)
                }
                else { 
                    EntFireByHandle(activator, "Addoutput", "origin 2789 11568 42", 2, activator, activator)
                }
            }
            else if(rareint == 3) { 
                activator.AddCustomAttribute("health regen", 20, -1)
                EmitSoundOnClient("Powerup.PickUpRegeneration", activator);
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x07EB4B4BUltra Painkillers!\x01 | Acquired Health Regen");

            }
            else { 

                EmitSoundOnClient("Powerup.PickUpStrength", activator);
                ClientPrint(activator, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFAFB2[Drugs]\x01 " + "You have received \x07EB4B4BSteroids!\x01 | Damage increased +50%");

                activator.GetScriptScope().isRoided <- true;

        }
            

        }

    }