iMaxClients <- MaxClients();


function AreGuardsInPropHunt()
    {
        for (local iPlayer = 1; iPlayer <= iMaxClients; iPlayer++)
        {
            local hPlayer = PlayerInstanceFromIndex(iPlayer);
    
            if (hPlayer && hPlayer.GetTeam() == Constants.ETFTeam.TF_TEAM_BLUE && NetProps.GetPropInt(hPlayer, "m_lifeState") == 0)
            {
                hPlayer.ValidateScriptScope();
    
                local hScriptScope = hPlayer.GetScriptScope(), bCanNotStart = false;
    
                if ("bIsInPropHunt" in hScriptScope)
                {
                    if (!hScriptScope.bIsInPropHunt)
                        bCanNotStart = true;
                }
    
                else
                    bCanNotStart = true;
    
                if (bCanNotStart)
                {
                    EntFire("text_prophuntcantstart", "Display", 0, 0, activator)
    
                    return;
                }
            }
        }
    
        EntFire("ph_start", "Trigger", 0, 0, activator)
    }

function GuardSpeedBoost() { 

    for (local i = 1; i <= Constants.Server.MAX_PLAYERS; i++)
    {
        local player = PlayerInstanceFromIndex(i)
    
        if(player) { 
            if(player.GetTeam() == Constants.ETFTeam.TF_TEAM_BLUE)

            player.AddCond(32);

        }
    }

}
function PropHuntTest(propnumber) { 

    local weapon = activator.GetActiveWeapon();
    weapon.DisableDraw(); 

    local cosmetic = null;

    while (cosmetic = Entities.FindByClassname(cosmetic, "tf_wearable"))
    {
        local owner = cosmetic.GetOwner();
        if (owner == activator)
            cosmetic.DisableDraw();
    }

    switch (propnumber) { 
        case 1: 
        activator.SetCustomModel("models/props_overgrown/beachchair_001.mdl");
        break; 
        case 2: 
        activator.SetCustomModel("models/props_slaughter/cardboard_box_cluster_1.mdl");
        break; 
        case 3: 
        activator.SetCustomModel("models/props_foliage/tree_palm01b_large.mdl");
        break;
        case 4: 
        activator.SetCustomModel("models/props_london/london_bench_001.mdl");
        break;
        case 5: 
        activator.SetCustomModel("models/props_soho/lightpole002.mdl");
        break;
        case 6: 
        activator.SetCustomModel("models/props_watergate/dumpster.mdl");
        break;
        case 7: 
        activator.SetCustomModel("models/props_gameplay/security_fence_section01.mdl");
        break;
        case 8: 
        activator.SetCustomModel("models/props_watergate/pub_table_001.mdl");
        break;
        case 9: 
        activator.SetCustomModel("models/props_vehicles/tf2_americanvehicles/police_cruiser_miami.mdl");
        break;
        case 10: 
        activator.SetCustomModel("models/props_oceanic/pufferfish_model_medium.mdl");
        break;
    }

    activator.SetScriptOverlayMaterial("miami/prophunt_hud")
    activator.AddCustomAttribute("no_attack", 1, 0);
    activator.SetForcedTauntCam(1);

    activator.ValidateScriptScope();

    activator.GetScriptScope().ToggleRotations <- ToggleRotations;
    AddThinkToEnt(activator, "ToggleRotations");  
    
}

function ToggleRotations() {

    local weapon = self.GetActiveWeapon();
    weapon.DisableDraw(); 


    if(NetProps.GetPropInt(self, "m_nButtons") & Constants.FButtons.IN_ATTACK) { 
        
        self.SetCustomModelRotates(true);
        EmitSoundOnClient("PDA.DemoBeep", self);

        
    }

    if(NetProps.GetPropInt(self, "m_nButtons") & Constants.FButtons.IN_ATTACK2) { 
        
        self.SetCustomModelRotates(false);
        EmitSoundOnClient("PDA.SpyBeep", self);

        
    }
}

function PropHuntEnd() { 

    for (local i = 1; i <= Constants.Server.MAX_PLAYERS; i++)
    {
        local player = PlayerInstanceFromIndex(i)
        if (player == null) continue
        player.SetCustomModel("");
        player.AddCustomAttribute("no_attack", 0, 0);
        local cosmetic = null;

        while (cosmetic = Entities.FindByClassname(cosmetic, "tf_wearable"))
        {
        local owner = cosmetic.GetOwner();
        if (owner == player)
            cosmetic.EnableDraw();
        }

        player.SetScriptOverlayMaterial("")
        AddThinkToEnt(player, null);

        if(player.GetTeam() == Constants.ETFTeam.TF_TEAM_BLUE) { 
            player.RemoveCond(32);
        }
    }
}

function PropHuntBlueTele() { 

    for (local i = 1; i <= Constants.Server.MAX_PLAYERS; i++)
    {
        local player = PlayerInstanceFromIndex(i)
        if (player == null) continue

        if (player && player.GetTeam() == Constants.ETFTeam.TF_TEAM_BLUE && NetProps.GetPropInt(player, "m_lifeState") == 0 && player.GetName() != "copcar_driver") { 

            EntFireByHandle(player, "Addoutput", "origin 5152 1936 48", 0, player, player)
        }
    }


}

function OnGameEvent_teamplay_round_start(params) 
{ 
    PropHuntEnd();
    EntFire("radio_timer", "Disable", null, 0, null)

    EntFire("script_prophunt", "RunScriptCode", "BluePlayerCheck()", 10, null)
    Convars.SetValue("mp_friendlyfire", 0)

    }

function BluePlayerCheck() { 

    local blueplayercount = 0;

    for (local iPlayer = 1; iPlayer <= iMaxClients; iPlayer++)
        {
            local hPlayer = PlayerInstanceFromIndex(iPlayer);
    
            if (hPlayer && hPlayer.GetTeam() == Constants.ETFTeam.TF_TEAM_BLUE && NetProps.GetPropInt(hPlayer, "m_lifeState") == 0)
            {
                blueplayercount++
            }
        }
        if(blueplayercount <= 3) { 
            if(blueplayercount == 1) { 

                PayBlues("+$1500", 1500, "Bonus for Low Blue Count");
            }
            else if(blueplayercount == 2) { 

            PayBlues("+$1000", 1000, "Bonus for Low Blue Count");
            }
            else if(blueplayercount == 3) { 

            PayBlues("+$500", 500, "Bonus for Low Blue Count");
            }

        }
    
}

function OnGameEvent_teamplay_round_win(EventData)
    {

        local hGameUi;
    
        while (hGameUi = Entities.FindByClassname(hGameUi, "game_ui")) {

            EntFire(hGameUi, "Deactivate", null, 0.5, null);
                
            }
                
    }

function OnGameEvent_player_spawn(params) 
{ 

    local player = GetPlayerFromUserID(params.userid);
    player.ValidateScriptScope();
    local scope = player.GetScriptScope();

    scope.isBhopping <- false;
    scope.hasKeycard <- false;
    scope.DrugSpeed <- 0.0;
    scope.DrugSpeedDown <- 0.0;
    scope.isRoided <- false;


    local sniperplayer = GetPlayerFromUserID(params.userid)
    if(sniperplayer.GetTeam() == Constants.ETFTeam.TF_TEAM_BLUE && sniperplayer.GetPlayerClass() == 2) { 
        local primary = NetProps.GetPropInt(sniperplayer.ReturnWeaponBySlot(0), "m_AttributeManager.m_Item.m_iItemDefinitionIndex")

        if(primary != 56) { 

            if(primary != 1092) 
            { 
                sniperplayer.GiveWeapon("Deag");
            }
        }
 
    }
}

function OnGameEvent_player_say(EventData)
    {
        local iUserID = EventData.userid, hPlayer = GetPlayerFromUserID(iUserID), strSteamID = NetProps.GetPropString(hPlayer, "m_szNetworkIDString");
    
        switch (rstrip(EventData.text).tolower())
        {
            case "!bankbalance": 
            {
                ClientPrint(hPlayer, Constants.EHudNotify.HUD_PRINTTALK, "\x05[Bank of Miami]\x01 " + "Current Balance: \x05$" + hPlayer.GetCurrency() + "\x01");
            }
        }
    
    }


function OnGameEvent_player_death(params)
{
    local victim1 = GetPlayerFromUserID(params.userid)
    
    victim1.SetCustomModel("");
    victim1.AddCustomAttribute("no_attack", 0, 0);
    victim1.SetForcedTauntCam(0);
    local cosmetic = null;

    while (cosmetic = Entities.FindByClassname(cosmetic, "tf_wearable"))
    {
        local owner = cosmetic.GetOwner();
        if (owner == victim1)
            cosmetic.EnableDraw();
    }
    AddThinkToEnt(victim1, null);  
}

__CollectGameEventCallbacks(this)


