function SentryCarStart() { 

    local botbase_sentrycar_health_base = 600;
    local botbase_sentrycar_min_player_count = 1;
    local botbase_sentrycar_health_per_player = 20;
    local sentrycar = Entities.FindByName(null, "sentrycar_breakable")

    local bossHealth = botbase_sentrycar_health_base;

		for (local i = 1; i <= Constants.Server.MAX_PLAYERS; i++)
                {
            local player = PlayerInstanceFromIndex(i)
			if(player) { 
				player.SetScriptOverlayMaterial("miami/sentrycar_screenoverlay");
			}
		}

		sentrycar.SetHealth(bossHealth);
		sentrycar.SetMaxHealth(bossHealth);

    local healthBar = Entities.FindByClassname(null, "monster_resource");
		if (healthBar && healthBar.IsValid)
		{
			NetProps.SetPropInt(healthBar, "m_iBossHealthPercentageByte", 255.0 * 1 );
		}

}

function OnTakeDamage(params)
	{
		local healthBar = Entities.FindByClassname(null, "monster_resource");
		if (healthBar && healthBar.IsValid)
		{
			local healthPercentage = params.const_entity.GetHealth().tofloat() / params.const_entity.GetMaxHealth().tofloat();
			if ( healthPercentage <= 0.0 )
			{
				NetProps.SetPropInt(healthBar, "m_iBossHealthPercentageByte", 0 );
				NetProps.SetPropInt(healthBar, "m_iBossStunPercentageByte", 0 );
				return 0;
			}
			else
			{
				NetProps.SetPropInt(healthBar, "m_iBossHealthPercentageByte", 255.0 * healthPercentage );
			}
		}
    }

function UpdateHealth() { 

    local healthBar = Entities.FindByClassname(null, "monster_resource");
    local sentrycar = Entities.FindByName(null, "sentrycar_breakable")

    if(sentrycar) { 
        local healthPercentage = sentrycar.GetHealth().tofloat() / sentrycar.GetMaxHealth().tofloat();
    NetProps.SetPropInt(healthBar, "m_iBossHealthPercentageByte", 255.0 * healthPercentage );
    }
    else { 
			NetProps.SetPropInt(healthBar, "m_iBossHealthPercentageByte", 0 );
			NetProps.SetPropInt(healthBar, "m_iBossStunPercentageByte", 0 );
    }
    


}

function SentryCarKill() { 

	local healthBar = Entities.FindByClassname(null, "monster_resource");
		if (healthBar && healthBar.IsValid)
		{
			NetProps.SetPropInt(healthBar, "m_iBossHealthPercentageByte", 0 );
			NetProps.SetPropInt(healthBar, "m_iBossStunPercentageByte", 0 );
		}

		for (local i = 1; i <= Constants.Server.MAX_PLAYERS; i++)
                {
            local player = PlayerInstanceFromIndex(i)
			if(player) { 
				player.SetScriptOverlayMaterial("");
			}
		}
		
}