function TraceCarHull() { 

    local flPlayerBoundingMins = activator.GetBoundingMins()
    local flPlayerBoundingMaxs = activator.GetBoundingMaxs()

    local lefttrace = {
        start = Entities.FindByName(null, "copcar_teleout_left").GetOrigin(),
        end = Entities.FindByName(null, "copcar_teleout_left").GetOrigin(),
        hullmin = Vector(flPlayerBoundingMins.x, flPlayerBoundingMins.y, 0)
        hullmax = Vector(flPlayerBoundingMaxs.x, flPlayerBoundingMaxs.y, 0)
        ignore = Entities.FindByName(null, "copcar_teleout_left"),
    }

    TraceHull(lefttrace)

    if ("enthit" in lefttrace) { 

        local righttrace = {
            start = Entities.FindByName(null, "copcar_teleout_right").GetOrigin(),
            end = Entities.FindByName(null, "copcar_teleout_right").GetOrigin(),
            hullmin = Vector(flPlayerBoundingMins.x, flPlayerBoundingMins.y, 0)
            hullmax = Vector(flPlayerBoundingMaxs.x, flPlayerBoundingMaxs.y, 0)
            ignore = Entities.FindByName(null, "copcar_teleout_right"),
            }
    
            TraceHull(righttrace)

                if("enthit" in righttrace) { 

                    local uptrace = {
                    start = Entities.FindByName(null, "copcar_teleout_up").GetOrigin(),
                    end = Entities.FindByName(null, "copcar_teleout_up").GetOrigin(),
                    hullmin = Vector(flPlayerBoundingMins.x, flPlayerBoundingMins.y, 0)
                    hullmax = Vector(flPlayerBoundingMaxs.x, flPlayerBoundingMaxs.y, 0)
                    ignore = Entities.FindByName(null, "copcar_teleout_up"),
                    }

                        TraceHull(uptrace)

                        if("enthit" in uptrace) { 
                        EntFire("copcar_teleout_trigger", "Addoutput", "target copcar_teleout_back", 0, null)
                        EntFire("copcar_ui", "Deactivate", 0, 0.1, null)
                        }
                        else { 
                        EntFire("copcar_teleout_trigger", "Addoutput", "target copcar_teleout_up", 0, null)
                        EntFire("copcar_ui", "Deactivate", 0, 0.1, null)
                        }     
                    
                }  
                else { 
                EntFire("copcar_teleout_trigger", "Addoutput", "target copcar_teleout_right", 0, null)
                EntFire("copcar_ui", "Deactivate", 0, 0.1, null)
                }

    }
    else { 
    EntFire("copcar_teleout_trigger", "Addoutput", "target copcar_teleout_left", 0, null)
    EntFire("copcar_ui", "Deactivate", 0, 0.1, null)
}
}

function TraceSentryCarHull() { 

    local flPlayerBoundingMins = activator.GetBoundingMins()
    local flPlayerBoundingMaxs = activator.GetBoundingMaxs()

    local lefttrace = {
        start = Entities.FindByName(null, "sentrycar_teleout_left").GetOrigin(),
        end = Entities.FindByName(null, "sentrycar_teleout_left").GetOrigin(),
        hullmin = Vector(flPlayerBoundingMins.x, flPlayerBoundingMins.y, 0)
        hullmax = Vector(flPlayerBoundingMaxs.x, flPlayerBoundingMaxs.y, 0)
        ignore = Entities.FindByName(null, "sentrycar_teleout_left"),
    }

    TraceHull(lefttrace)

    if ("enthit" in lefttrace) { 

        local righttrace = {
            start = Entities.FindByName(null, "sentrycar_teleout_right").GetOrigin(),
            end = Entities.FindByName(null, "sentrycar_teleout_right").GetOrigin(),
            hullmin = Vector(flPlayerBoundingMins.x, flPlayerBoundingMins.y, 0)
            hullmax = Vector(flPlayerBoundingMaxs.x, flPlayerBoundingMaxs.y, 0)
            ignore = Entities.FindByName(null, "sentrycar_teleout_right"),
        }
    
        TraceHull(righttrace)
        if("enthit" in righttrace) { 
            local uptrace = {
                start = Entities.FindByName(null, "sentrycar_teleout_up").GetOrigin(),
                end = Entities.FindByName(null, "sentrycar_teleout_up").GetOrigin(),
                hullmin = Vector(flPlayerBoundingMins.x, flPlayerBoundingMins.y, 0)
                hullmax = Vector(flPlayerBoundingMaxs.x, flPlayerBoundingMaxs.y, 0)
                ignore = Entities.FindByName(null, "sentrycar_teleout_up"),
                }

                    TraceHull(uptrace)

                    if("enthit" in uptrace) { 
                    printl(uptrace.enthit)
                    EntFire("sentrycar_teleout_trigger", "Addoutput", "target sentrycar_teleout_back", 0, null)
                    EntFire("sentrycar_ui", "Deactivate", 0, 0.1, null)
                    }
                    else { 
                    EntFire("sentrycar_teleout_trigger", "Addoutput", "target sentrycar_teleout_up", 0, null)
                    EntFire("sentrycar_ui", "Deactivate", 0, 0.1, null)
                    }     
                
        }
        else { 
            EntFire("sentrycar_teleout_trigger", "Addoutput", "target sentrycar_teleout_right", 0, null)
            EntFire("sentrycar_ui", "Deactivate", 0, 0.1, null)
        }

        }
        else { 
            EntFire("sentrycar_teleout_trigger", "Addoutput", "target sentrycar_teleout_left", 0, null)
            EntFire("sentrycar_ui", "Deactivate", 0, 0.1, null)
}
}

function TraceKillerHull() { 

    local killer = Entities.FindByName(null, "killerboss")
    local flPlayerBoundingMins = killer.GetBoundingMins()
    local flPlayerBoundingMaxs = killer.GetBoundingMaxs()

    local killerhull = {
        start = killer.GetOrigin(),
        end = killer.GetOrigin(),
        hullmin = killer.GetBoundingMins()
        hullmax = killer.GetBoundingMaxs()
        ignore = killer,
    }

    TraceHull(killerhull)

    if("enthit" in killerhull) {
        EntFire("killerboss", "Addoutput", "origin -4992 4800 -440", 0, null)
        printl("Killer was resized and got stuck inside a prop or wall. Teleporting him to the beginning of Chainsaw Massacre")
    }

}
